# $Revision: 1.6 $, $Date: 2005/04/25 09:09:08 $
%define		_realname	netspeed_applet
Summary:	Show how much traffic occurs on a network device
Summary(pl):	Pokazywanie wielkoci ruchu wystpujcego na urzdzeniu sieciowym
Name:		gnome-applet-netspeed
Version:	0.12.1
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://www.wh-hms.uni-ulm.de/~mfcn/shared/netspeed/%{_realname}-%{version}.tar.gz
# Source0-md5:	7a651eab80c1a10654595fcfd4832463
URL:		http://mfcn.ilo.de/netspeed_applet/
BuildRequires:	automake
BuildRequires:	gnome-desktop-devel >= 2.4.0
BuildRequires:	gnome-panel-devel >= 2.4.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libgnomeui-devel >= 2.4.0
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netspeed applet is just a little applet that shows how much traffic
occurs on a specified network device.

%description -l pl
Netspeed jest po prostu niewielkim apletem pokazujcym wielko ruchu
wystpujcego na okrelonym urzdzeniu sieciowym.

%prep
%setup -q -n %{_realname}-%{version}

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_datadir}/locale

%find_lang netspeed-applet --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f netspeed-applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/netspeed_applet2
%{_libdir}/bonobo/servers/*.server
%{_datadir}/omf/netspeed_applet/*.omf
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-netspeed.spec,v $
Revision 1.6  2005/04/25 09:09:08  paladine
- run %%scrollkeeper_update_post{,un}
- removed redundant BR: libgtop-devel
- rel. 2

Revision 1.5  2005/04/22 09:36:03  aflinta
- up to version 0.12.1

Revision 1.4  2004/12/08 10:33:59  paladine
- updated to 0.11 (fixed ppp monitoring)
- rel 1 (builds and works ok)
- STBR

Revision 1.3  2004/10/25 21:12:22  qboosh
- BR: automake

Revision 1.2  2004/10/24 13:09:52  ankry
- pl, formatting

Revision 1.1  2004/10/24 11:51:49  wiget
- new gnome apllet
